<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <p:outputLabel value="Dispositivos penales juveniles : "/>
    <p:separator />
    <h:form rendered="#{!operadorPenalJuvenilMB.editMode}">
        <p:commandButton  value="Nuevo" action="#{operadorPenalJuvenilMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="operadores" var="ent" value="#{operadorPenalJuvenilMB.list}" 
                 emptyMessage="No hay resultados para esa busqueda">
            
            <p:column headerText="Dispositivo penal juvenil" >
                <p:outputLabel value="#{ent.descripcion}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{operadorPenalJuvenilMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages operadores" action="#{operadorPenalJuvenilMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el Dispositivo penal juvenil?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{operadorPenalJuvenilMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>  
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/> 
    </h:form>
    <h:form rendered="#{operadorPenalJuvenilMB.editMode}">
         <p:panelGrid columns="3" >
            
                <p:outputLabel for="descripcion" value="Nombre del dispositivo : " />
                <p:inputText id="descripcion" value="#{operadorPenalJuvenilMB.instance.descripcion}" required="true"/>
                <p:message for="descripcion" display="icon"/>
    
    			<p:outputLabel for="iiTpoDispt" value="Tipo de dispositivo :"/>
           		<p:selectOneMenu id="iiTpoDispt" value="#{operadorPenalJuvenilMB.instance.tipoDispositivo}" 
           				converter="tipoDispositivoConverter" 
           				>
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />			           		
               		<f:selectItems value="#{commonSelectorsMB.getTiposDispositivos()}" var="k"
	                          itemValue="#{k}"
	                          itemLabel="#{k.descripcion}"/>
           		</p:selectOneMenu>
           		<p:message  for="iiTpoDispt" display="icon"/>
    
    			<p:outputLabel for="muni" value="Departamento :"/>
       			<p:selectOneMenu value="#{operadorPenalJuvenilMB.instance.departamento}" converter="municipioConverter" label="Municipio" id="muni">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.municipios}" var="muni"
                               itemValue="#{muni}"
                               itemLabel="#{muni.nombre}"/>
            		<p:ajax event="change" listener="#{operadorPenalJuvenilMB.onMunicipioChange}" 
            			update="loc"/>
           		</p:selectOneMenu>
				<p:message for="muni" display="icon"/>	
				
				<p:outputLabel for="loc" value="Localidad :"/>
       			<p:selectOneMenu value="#{operadorPenalJuvenilMB.instance.localidad}" converter="localidadConverter" label="Localidad" id="loc">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{operadorPenalJuvenilMB.localidades}" var="loc"
                               itemValue="#{loc}"
                               itemLabel="#{loc.nombre}"/>
            		</p:selectOneMenu>
				<p:message for="loc" display="icon"/>			
                    
        </p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{operadorPenalJuvenilMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{operadorPenalJuvenilMB.cancel}" ajax="false" immediate="true"/>
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>    
    </h:form>
	</ui:define>
</ui:composition>
